Subject: Re: [GIT PULL] Please pull powerpc/linux.git powerpc-5.18-1 tag

From: Michael Ellerman <[email-masked]>
Date: Thu, 31 Mar 2022 00:21:03 +1100

Michal Suchánek <[email-masked]> writes:
> On Mon, Mar 28, 2022 at 08:07:13PM +1100, Michael Ellerman wrote:
>> Linus Torvalds <[email-masked]> writes:
>> > On Fri, Mar 25, 2022 at 3:25 AM Michael Ellerman <[email-masked]> wrote:
>> 
>> > That said:
>> >
>> >> There's a series of commits cleaning up function descriptor handling,
>> >
>> > For some reason I also thought that powerpc had actually moved away
>> > from function descriptors, so I'm clearly not keeping up with the
>> > times.
>> 
>> No you're right, we have moved away from them, but not entirely.
>> 
>> Functions descriptors are still used for 64-bit big endian, but they're
>> not used for 64-bit little endian, or 32-bit.
>
> There was a patch to use ABIv2 for ppc64 big endian. I suppose that
> would rid usof the gunction descriptors for good.

It would be nice.

The hesitation in the past was that the GNU toolchain developers don't
officially support BE+ELFv2, though it is in use so it does work.

> Maybe it's worth resurrecting?

Yeah maybe we should think about it again. If it builds with clang/lld
that would be a real plus.

cheers